For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update rule

Update an existing rule by entity ID. Send a partial request body with only the fields you want to change. Include the checksum from the last get/create/update/test when the API requires it for optimistic locking. Payload shape matches create (same type-specific fields); do not change type. The response returns data.checksum for use in the next update or publish.

Use the API reference below to try the endpoint.

Update rule

patch

Update an existing rule. Include checksum when required. Use examples for full decision-table update or full simpleRule/ruleSet style bodies.

Authorizations
Nected-API-KeystringRequired

Dev API key (Nected-API-Key header)

Path parameters
entity-idstringRequired

The rule's entity ID

Header parameters
Nected-BranchstringOptional

Branch name (optional)

Body

Partial update for an existing rule. Send only the fields you want to change.

  • Include checksum from the last get/create/update when the API requires optimistic locking.
  • Do not change type.
  • Full decision-table update example: Update/update_DT.json and examples/patch_rule_decisionTable.json.
  • For simpleRule / ruleSet, full-body style patches are shown in examples/patch_rule_simpleRule.json and patch_rule_ruleSet.json.
checksumstringOptional

From last get/create/update; required for optimistic locking when applicable

namestringOptional
descriptionstringOptional
dataSetIdstring · nullableOptional
customInputobjectOptional
conditionsobjectOptional
actionobjectOptional
settingsobjectOptional
decisionTableobject · nullableOptional
ruleSetPolicystringOptional
policystringOptional
dependencyMaparrayOptional
Other propertiesanyOptional
Responses
200

OK. Returns data.checksum.

application/json

Success response for Update rule (PATCH).

codestringOptional
messagestringOptional
patch/dev/v1/rule/{entity-id}
PATCH /dev/v1/rule/{entity-id} HTTP/1.1
Host: api.nected.ai
Nected-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19039

{
  "name": "Atul",
  "description": "BAC",
  "dataSetId": "e8617609-301b-4efc-bf7f-5df6d5b1f021",
  "customInput": {
    "_id": {
      "attribute": "id",
      "config": {},
      "dataType": "numeric",
      "executedValue": null,
      "isCaseSensitive": false,
      "isNullable": false,
      "isOptional": false,
      "name": "_id",
      "next": "success",
      "previous": "",
      "query": "",
      "schemaId": "",
      "sourceType": "dataSet"
    },
    "success": {
      "attribute": "",
      "config": null,
      "dataType": "list",
      "executedValue": [
        "Snehasish",
        "Sahil",
        "Sayantan"
      ],
      "isCaseSensitive": false,
      "isNullable": false,
      "isOptional": false,
      "name": "success",
      "next": "",
      "previous": "_id",
      "query": "",
      "schemaId": "",
      "sourceType": ""
    }
  },
  "conditions": {
    "startNode": "",
    "nodes": {
      "c_2cSOO3": {
        "attribute": "",
        "children": null,
        "dataType": "list",
        "leftNode": [
          "param_u7dh3k"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "any",
        "parent": "rule_01",
        "query": "",
        "returnType": "",
        "rightNode": [],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "c_5jWukM": {
        "attribute": "",
        "children": null,
        "dataType": "list",
        "leftNode": [
          "param_u7dh3k"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "any",
        "parent": "rule_lsx1cpg82i31nquqly6",
        "query": "",
        "returnType": "",
        "rightNode": [],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "c_tH8kz3": {
        "attribute": "",
        "children": null,
        "dataType": "list",
        "leftNode": [
          "param_u7dh3k"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "any",
        "parent": "rule_lsx1cqduntd9baruval",
        "query": "",
        "returnType": "",
        "rightNode": [],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "c_vQc9yy": {
        "attribute": "",
        "children": null,
        "dataType": "list",
        "leftNode": [
          "param_u7dh3k"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "any",
        "parent": "rule_lsx1cpuyg18cji89zc",
        "query": "",
        "returnType": "",
        "rightNode": [],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "c_vmsX6d": {
        "attribute": "",
        "children": null,
        "dataType": "list",
        "leftNode": [
          "param_u7dh3k"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "any",
        "parent": "rule_lsx1covux5fotdso7k",
        "query": "",
        "returnType": "",
        "rightNode": [],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "param_u7dh3k": {
        "attribute": "success",
        "children": null,
        "dataType": "list",
        "leftNode": null,
        "name": "",
        "nodeType": "params",
        "operator": "",
        "parent": "",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "customInput",
        "value": null
      },
      "rule_01": {
        "attribute": "",
        "children": [
          "rule_02",
          "rule_lsx0i55pxh41cw3bfwi",
          "rule_lsx0i5srjn668akkc8a",
          "rule_lsx0i6i4bp49tka315g",
          "c_2cSOO3"
        ],
        "dataType": "",
        "leftNode": null,
        "name": "",
        "nodeType": "group",
        "operator": "and",
        "parent": "",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": null
      },
      "rule_02": {
        "attribute": "",
        "children": null,
        "dataType": "numeric",
        "leftNode": [
          "rule_03"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "lte",
        "parent": "rule_01",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1avtnf4a78z1gfpm"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_03": {
        "attribute": "trans_amt",
        "children": null,
        "dataType": "numeric",
        "leftNode": null,
        "name": "",
        "nodeType": "params",
        "operator": "",
        "parent": "",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "dataSet",
        "value": null
      },
      "rule_lsx0i55pon12jzf5gwn": {
        "attribute": "trans_type",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "params",
        "operator": "",
        "parent": "",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "dataSet",
        "value": null
      },
      "rule_lsx0i55pxh41cw3bfwi": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i55pon12jzf5gwn"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_01",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1b1sac92svc2vrtg"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx0i5sq31uoadq3myo": {
        "attribute": "cust_type",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "params",
        "operator": "",
        "parent": "",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "dataSet",
        "value": null
      },
      "rule_lsx0i5srjn668akkc8a": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i5sq31uoadq3myo"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_01",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1bffo32n6v0exnld"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx0i6i23kbwq285zpo": {
        "attribute": "region",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "params",
        "operator": "",
        "parent": "",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "dataSet",
        "value": null
      },
      "rule_lsx0i6i4bp49tka315g": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i6i23kbwq285zpo"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_01",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1bhf04xmc7jxjxlk"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1avtnf4a78z1gfpm": {
        "attribute": "",
        "children": null,
        "dataType": "numeric",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_02",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": 1000
      },
      "rule_lsx1b1sac92svc2vrtg": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx0i55pxh41cw3bfwi",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Deposit"
      },
      "rule_lsx1bffo32n6v0exnld": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx0i5srjn668akkc8a",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Regular"
      },
      "rule_lsx1bhf04xmc7jxjxlk": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx0i6i4bp49tka315g",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Domestic"
      },
      "rule_lsx1covufb4lwc0irbp": {
        "attribute": "",
        "children": null,
        "dataType": "numeric",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1covuz1n6xk8iub",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": 1000
      },
      "rule_lsx1covux5fotdso7k": {
        "attribute": "",
        "children": [
          "rule_lsx1covuz1n6xk8iub",
          "rule_lsx1covvmd4ea0s5i8h",
          "rule_lsx1covvzzdq7wh37ii",
          "rule_lsx1covvo0to1hegfqs",
          "c_vmsX6d"
        ],
        "dataType": "",
        "leftNode": null,
        "name": "",
        "nodeType": "group",
        "operator": "and",
        "parent": "",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": null
      },
      "rule_lsx1covuz1n6xk8iub": {
        "attribute": "",
        "children": null,
        "dataType": "numeric",
        "leftNode": [
          "rule_03"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "gt",
        "parent": "rule_lsx1covux5fotdso7k",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1covufb4lwc0irbp"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1covv0ny93ypmqm7d": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1covvo0to1hegfqs",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Domestic"
      },
      "rule_lsx1covvmd4ea0s5i8h": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i55pon12jzf5gwn"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1covux5fotdso7k",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1covvzssgo78iv8q"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1covvo0to1hegfqs": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i6i23kbwq285zpo"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1covux5fotdso7k",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1covv0ny93ypmqm7d"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1covvten006ygxim": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1covvzzdq7wh37ii",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Regular"
      },
      "rule_lsx1covvzssgo78iv8q": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1covvmd4ea0s5i8h",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Deposit"
      },
      "rule_lsx1covvzzdq7wh37ii": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i5sq31uoadq3myo"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1covux5fotdso7k",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1covvten006ygxim"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cpg82i31nquqly6": {
        "attribute": "",
        "children": [
          "rule_lsx1cpg8cowc3stveo4",
          "rule_lsx1cpg8kb2lxstaan",
          "rule_lsx1cpg8ei3d52xozyi",
          "rule_lsx1cpg8e6enfvf0ubw",
          "c_5jWukM"
        ],
        "dataType": "",
        "leftNode": null,
        "name": "",
        "nodeType": "group",
        "operator": "and",
        "parent": "",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": null
      },
      "rule_lsx1cpg848h48fqr9xm": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1cpg8kb2lxstaan",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Withdrawl"
      },
      "rule_lsx1cpg849he3219gxs": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1cpg8e6enfvf0ubw",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Domestic"
      },
      "rule_lsx1cpg8cowc3stveo4": {
        "attribute": "",
        "children": null,
        "dataType": "numeric",
        "leftNode": [
          "rule_03"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "any",
        "parent": "rule_lsx1cpg82i31nquqly6",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cpg8e6enfvf0ubw": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i6i23kbwq285zpo"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1cpg82i31nquqly6",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1cpg849he3219gxs"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cpg8ei3d52xozyi": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i5sq31uoadq3myo"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1cpg82i31nquqly6",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1cpg8tg4t5pyj1ag"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cpg8kb2lxstaan": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i55pon12jzf5gwn"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1cpg82i31nquqly6",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1cpg848h48fqr9xm"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cpg8tg4t5pyj1ag": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1cpg8ei3d52xozyi",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Premium"
      },
      "rule_lsx1cpuyg18cji89zc": {
        "attribute": "",
        "children": [
          "rule_lsx1cpuynb4aivxhnia",
          "rule_lsx1cpuytihstpo33v",
          "rule_lsx1cpuzg5fucw8984r",
          "rule_lsx1cpuz2ycrpzs5azs",
          "c_vQc9yy"
        ],
        "dataType": "",
        "leftNode": null,
        "name": "",
        "nodeType": "group",
        "operator": "and",
        "parent": "",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": null
      },
      "rule_lsx1cpuynb4aivxhnia": {
        "attribute": "",
        "children": null,
        "dataType": "numeric",
        "leftNode": [
          "rule_03"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "any",
        "parent": "rule_lsx1cpuyg18cji89zc",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cpuytihstpo33v": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i55pon12jzf5gwn"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1cpuyg18cji89zc",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1cpuyw1cxajt51td"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cpuyw1cxajt51td": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1cpuytihstpo33v",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Transfer"
      },
      "rule_lsx1cpuz2ycrpzs5azs": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i6i23kbwq285zpo"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1cpuyg18cji89zc",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1cpuzy477970dzna"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cpuz613q3coa8s": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1cpuzg5fucw8984r",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Regular"
      },
      "rule_lsx1cpuzg5fucw8984r": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i5sq31uoadq3myo"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1cpuyg18cji89zc",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1cpuz613q3coa8s"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cpuzy477970dzna": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1cpuz2ycrpzs5azs",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "International"
      },
      "rule_lsx1cqdudxizbe2hd86": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i55pon12jzf5gwn"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1cqduntd9baruval",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1cqduhavxoams40o"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cqduhavxoams40o": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1cqdudxizbe2hd86",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Transfer"
      },
      "rule_lsx1cqduj5q0orjrxfo": {
        "attribute": "",
        "children": null,
        "dataType": "numeric",
        "leftNode": [
          "rule_03"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "gt",
        "parent": "rule_lsx1cqduntd9baruval",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1cqduy3ib8yzzvs"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cqdujh77vni42c": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i5sq31uoadq3myo"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1cqduntd9baruval",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1cqduumw8yrg2loi"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cqduntd9baruval": {
        "attribute": "",
        "children": [
          "rule_lsx1cqduj5q0orjrxfo",
          "rule_lsx1cqdudxizbe2hd86",
          "rule_lsx1cqdujh77vni42c",
          "rule_lsx1cqdvipi8ng1gt7",
          "c_tH8kz3"
        ],
        "dataType": "",
        "leftNode": null,
        "name": "",
        "nodeType": "group",
        "operator": "and",
        "parent": "",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": null
      },
      "rule_lsx1cqduumw8yrg2loi": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1cqdujh77vni42c",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "Premium"
      },
      "rule_lsx1cqduy3ib8yzzvs": {
        "attribute": "",
        "children": null,
        "dataType": "numeric",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1cqduj5q0orjrxfo",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": 5000
      },
      "rule_lsx1cqdvipi8ng1gt7": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": [
          "rule_lsx0i6i23kbwq285zpo"
        ],
        "name": "",
        "nodeType": "condition",
        "operator": "eq",
        "parent": "rule_lsx1cqduntd9baruval",
        "query": "",
        "returnType": "",
        "rightNode": [
          "rule_lsx1cqdvluic0of4t"
        ],
        "siblingIndex": 1,
        "sourceType": "",
        "value": ""
      },
      "rule_lsx1cqdvluic0of4t": {
        "attribute": "",
        "children": null,
        "dataType": "string",
        "leftNode": null,
        "name": "",
        "nodeType": "constant",
        "operator": "",
        "parent": "rule_lsx1cqdvipi8ng1gt7",
        "query": "",
        "returnType": "",
        "rightNode": null,
        "siblingIndex": 1,
        "sourceType": "",
        "value": "International"
      }
    }
  },
  "action": {
    "then": {
      "firstOutputData": "",
      "firstActionNode": "",
      "outputData": {
        "output_lsx0ic5foxwkzagyxs7": {
          "attribute": "",
          "dataType": "string",
          "executedValue": "$5 Flat Fee",
          "name": "Fee",
          "next": "",
          "returnType": "",
          "schemaId": "",
          "source": "",
          "value": "$5 Flat Fee"
        },
        "output_lsx1covvmye0rmiz5f": {
          "attribute": "",
          "dataType": "string",
          "executedValue": "1% of Transaction Amount",
          "name": "Fee",
          "next": "",
          "returnType": "",
          "schemaId": "",
          "source": "",
          "value": "1% of Transaction Amount"
        },
        "output_lsx1cpg8ivzsyqi02pm": {
          "attribute": "",
          "dataType": "string",
          "executedValue": "No Fee",
          "name": "Fee",
          "next": "",
          "returnType": "",
          "schemaId": "",
          "source": "",
          "value": "No Fee"
        },
        "output_lsx1cpuz1qpunswi13z": {
          "attribute": "",
          "dataType": "string",
          "executedValue": "$15 Flat Fee",
          "name": "Fee",
          "next": "",
          "returnType": "",
          "schemaId": "",
          "source": "",
          "value": "$15 Flat Fee"
        },
        "output_lsx1cqdv8hx97cmudk6": {
          "attribute": "",
          "dataType": "string",
          "executedValue": "0.5% of Transaction Amount",
          "name": "Fee",
          "next": "",
          "returnType": "",
          "schemaId": "",
          "source": "",
          "value": "0.5% of Transaction Amount"
        }
      },
      "actionNode": {}
    },
    "else": {
      "firstOutputData": "",
      "firstActionNode": "",
      "outputData": null,
      "actionNode": null
    }
  },
  "settings": {
    "isEnabled": true,
    "event": null,
    "api": {
      "isEnabled": true,
      "isPrivate": true
    },
    "schedule": null,
    "auditIO": false,
    "startAt": null,
    "endAt": null,
    "cache": {
      "enabled": false,
      "duration": {
        "value": 0,
        "unit": "d"
      },
      "cacheKeys": ""
    },
    "dateFormat": "in",
    "timezone": "Africa/Algiers"
  },
  "firstCustomInput": "_id",
  "decisionTable": {
    "firstRow": "rule_01",
    "firstProperty": "rule_03",
    "firstResult": "result_lsx0ic5e3q9wucbd3z5",
    "firstAggOutputData": "",
    "rows": {
      "rule_01": {
        "firstOutputData": "output_lsx0ic5foxwkzagyxs7",
        "isEnabled": true,
        "nextId": "rule_lsx1covux5fotdso7k",
        "prevId": ""
      },
      "rule_lsx1covux5fotdso7k": {
        "firstOutputData": "output_lsx1covvmye0rmiz5f",
        "isEnabled": true,
        "nextId": "rule_lsx1cpg82i31nquqly6",
        "prevId": "rule_01"
      },
      "rule_lsx1cpg82i31nquqly6": {
        "firstOutputData": "output_lsx1cpg8ivzsyqi02pm",
        "isEnabled": true,
        "nextId": "rule_lsx1cpuyg18cji89zc",
        "prevId": "rule_lsx1covux5fotdso7k"
      },
      "rule_lsx1cpuyg18cji89zc": {
        "firstOutputData": "output_lsx1cpuz1qpunswi13z",
        "isEnabled": true,
        "nextId": "rule_lsx1cqduntd9baruval",
        "prevId": "rule_lsx1cpg82i31nquqly6"
      },
      "rule_lsx1cqduntd9baruval": {
        "firstOutputData": "output_lsx1cqdv8hx97cmudk6",
        "isEnabled": true,
        "nextId": "",
        "prevId": "rule_lsx1cpuyg18cji89zc"
      }
    },
    "properties": {
      "param_u7dh3k": {
        "nextId": "",
        "prevId": "rule_lsx0i6i23kbwq285zpo",
        "type": "simpleCondition"
      },
      "rule_03": {
        "nextId": "rule_lsx0i55pon12jzf5gwn",
        "prevId": "",
        "type": "simpleCondition"
      },
      "rule_lsx0i55pon12jzf5gwn": {
        "nextId": "rule_lsx0i5sq31uoadq3myo",
        "prevId": "rule_03",
        "type": "simpleCondition"
      },
      "rule_lsx0i5sq31uoadq3myo": {
        "nextId": "rule_lsx0i6i23kbwq285zpo",
        "prevId": "rule_lsx0i55pon12jzf5gwn",
        "type": "simpleCondition"
      },
      "rule_lsx0i6i23kbwq285zpo": {
        "nextId": "param_u7dh3k",
        "prevId": "rule_lsx0i5sq31uoadq3myo",
        "type": "simpleCondition"
      }
    },
    "results": {
      "result_lsx0ic5e3q9wucbd3z5": {
        "dataType": "string",
        "keyName": "Fee",
        "nextId": "",
        "prevId": "",
        "schemaId": ""
      }
    }
  },
  "ruleSetPolicy": "",
  "ruleSet": null,
  "firstRuleChain": "",
  "ruleChain": null,
  "policy": "first",
  "dependencyMap": [],
  "checksum": "b91dfdf9fd06494412a95fb7bf0f5340"
}
{
  "data": {
    "checksum": "07e13779e9cf3437c131d851c030ff7d"
  },
  "code": "success",
  "message": "Success."
}

Replace the example checksum values with the current value from Get rule by id for your entity.

Where to get the Checksum?

The API expects the current checksum of the rule for optimistic locking. If the checksum in your request does not match the rule’s latest checksum on the server, the call fails with a checksum mismatch error and the rule is not updated.

Recommended flow

  1. Call Get rule by id (GET /dev/v1/rule/{entity-id}) for the rule you want to change.

  2. From the response, copy data.checksum (the exact string returned by the API).

  3. Paste that value into your PATCH body as checksum (alongside the fields you are updating).

You can also obtain a valid checksum from:

  • Create rule — data.checksum in the 201 response, or

  • Update rule — data.checksum in the 200 response from your last successful update

Always use the latest checksum before each update if the rule may have changed.

Last updated